Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3479 - wrong path for fews files during extract
Summary: wrong path for fews files during extract
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tar
Version: 6.0
Hardware: i386
OS: Linux
high
low
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-15 15:18 UTC by proux
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-15 18:36:40 UTC


Attachments (Terms of Use)

Description proux 1999-06-15 15:18:59 UTC
All files from http://www.idris.fr/bug/beta.tar are not well
extracted in linux compare to aix or irix tar.
The
Bernard.Pichon.20Juin96-f2000-propositions-francaises.ps.gz
file is extract to the current directory on linux but is
extract on htdocs/su/Nouveautes/seminaires/annee_9596/
elsewhere !

Comment 1 Jeff Johnson 1999-06-15 16:34:59 UTC
There are two similarly named files in your beta.tar file.

Comment 2 Jeff Johnson 1999-06-15 16:40:59 UTC
Woops, solaris /bin/tar verifies a real problem here.

Comment 3 Jeff Johnson 1999-06-15 18:36:59 UTC
Fixed (by upgrading) in tar-1.12-10.64011. Thanks for the test case.

Comment 4 Brock Organ 1999-09-10 20:06:59 UTC
QA testing for tar-1.13.11-1.i386.rpm: (lorax)

Correct behavior shown for this test case:
# tar xf beta.tar
# find . -name
Bernard.Pichon.20Juin96-f2000-propositions-francaises.ps.gz
./htdocs/su/Nouveautes/seminaires/annee_9596/Bernard.Pichon.20Juin96-f2000-propositions-francaises.ps.gz


Note You need to log in before you can comment on or make changes to this bug.